summaryrefslogtreecommitdiffstats
path: root/third_party/rust/audio-mixer/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/audio-mixer/run_tests.sh')
-rwxr-xr-xthird_party/rust/audio-mixer/run_tests.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/third_party/rust/audio-mixer/run_tests.sh b/third_party/rust/audio-mixer/run_tests.sh
new file mode 100755
index 0000000000..afb0f9ad04
--- /dev/null
+++ b/third_party/rust/audio-mixer/run_tests.sh
@@ -0,0 +1,17 @@
+# Bail out once getting an error.
+set -e
+
+# Display verbose backtrace for debugging if backtrace is unset
+if [ -z "${RUST_BACKTRACE}" ]; then
+ export RUST_BACKTRACE=1
+fi
+echo -e "RUST_BACKTRACE is set to ${RUST_BACKTRACE}\n"
+
+# Format check
+cargo fmt --all -- --check
+
+# Lints check
+cargo clippy --all-targets --all-features -- -D warnings
+
+# Regular Tests
+cargo test --verbose --all